package com.fjhx.constant;

/**
 * @Description:
 * @ClassName: RFIDConstant
 * @Author: linqt
 * @Date: 2022/3/18 11:29
 * @Version: 1.0
 */
public class RFIDConstant {

    /**
     * 读写器启动成功
     */
    public static final String SERVER_START_SUCCESS = "IP为【{0}】的读写器启动成功，开始读取数据！";

    /**
     * 读写器启动失败
     */
    public static final String SERVER_START_ERR = "IP为【{0}】的读写器启动失败！";

    /**
     * 读写器关闭成功
     */
    public static final String SERVER_CLOSE_SUCCESS = "IP为【{0}】的读写器关闭成功，停止读取数据！";

    /**
     * 读写器关闭失败
     */
    public static final String SERVER_CLOSE_ERR = "IP为【{0}】的读写器关闭失败！";

    /**
     * 读取数据成功
     */
    public static final String READ_DATA_SUCCESS = "读取数据成功！";
    /**
     * 读取数据失败
     */
    public static final String READ_DATA_ERR = "读取数据失败！";

    /**
     * rfid udp默认绑定端口
     */
    public static final Integer RFID_UDP_DEFAULT_BINDING_PORT = 0;

    /**
     * rfid udp开始读取数据指令
     */
    public static final String RFID_UDP_START_READ_INSTRUCTION = "A50401005501";

    /**
     * rfid udp停止读取数据指令
     */
    public static final String RFID_UDP_STOP_READ_INSTRUCTION = "A504010060F6";

    /**
     * UDP返回数据截取天线号开始下标（从14开始）
     */
    public static final Integer UDP_RESULT_DATA_SUBSTRING_ANT_NO_BEGIN_INDEX = 14;

    /**
     * UDP返回数据截取天线号结束下标（到16结束）
     */
    public static final Integer UDP_RESULT_DATA_SUBSTRING_ANT_NO_END_INDEX = 16;

    /**
     * UDP返回数据截取RFID开始下标（从21开始）
     */
    public static final Integer UDP_RESULT_DATA_SUBSTRING_RFID_BEGIN_INDEX = 20;

    /**
     * UDP返回数据截取RFID结束下标（从最后往前推10位）
     */
    public static final Integer UDP_RESULT_DATA_SUBSTRING_RFID_END_INDEX = 10;

    /**
     * 指令类型常量类
     */
    public static final class InstructType {
        /**
         * 开始并返回所有数据
         */
        public static final Integer INSTRUCT_TYPE_1 = 1;

        /**
         * 开始并返回去重数据
         */
        public static final Integer INSTRUCT_TYPE_2 = 2;

        /**
         * 关闭
         */
        public static final Integer INSTRUCT_TYPE_3 = 3;
    }

    /**
     * 读取RFID间隔时间（单位：ms），超过该时间则认为是新的RFID
     */
    public static final Integer DEFAULT_TIME = 5000;

    /**
     * RFID缓存存活时间
     */
    public static final Integer RFID_CACHE_TIME = 60;
}
