package com.fjhx.entity.enums;

import org.apache.commons.collections4.MapUtils;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 数据类型枚举
 */
public enum AntnoStatusEnum {

    STATUS_2("2", "纠偏"),
    STATUS_4("4", "检测瑕疵"),
    STATUS_3("3", "激光"),
    STATUS_1("1", "质检"),
    ;

    private String key;

    private String value;

    private static Map<String, String> map = new LinkedHashMap<>();

    AntnoStatusEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    /**
     * 是否存在
     *
     * @param key
     * @return
     */
    public static boolean contain(Integer key) {
        if (key == null) {
            return false;
        }
        Map<String, String> map = getMap();
        return map.containsKey(key);
    }

    /**
     * 获取枚举map
     *
     * @return
     */
    public static Map<String, String> getMap() {
        if (MapUtils.isNotEmpty(map)) {
            return map;
        }
        for (AntnoStatusEnum ms : values()) {
            map.put(ms.key, ms.value);
        }
        return map;
    }

    /**
     * 通过key获取名称
     *
     * @param key
     * @return
     */
    public static String getNameByKey(Integer key) {
        if (key == null || key < 0) {
            return "";
        }
        Map<String, String> map = getMap();
        return map.getOrDefault(key, "");
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

}
