/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.fjhx.entity.rfid;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
/**
 * 二维码工单表实体类
 *
 * @author BladeX
 * @since 2022-09-01
 */
@Data
@TableName("t_pro_qr_code")
public class QrCode implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 订单id
	*/
	private String id;
	/**
	* 二维码
	*/
	private String qrcode;
	/**
	* 视觉设备标识
	*/
	private String veId;
	/**
	* 创建者ID
	*/
	private String createUser;
	/**
	* 创建时间
	*/
	private LocalDateTime createTime;
	/**
	* 更新者iID
	*/
	private String updateUser;
	/**
	* 更新时间
	*/
	private LocalDateTime updateTime;


}
