/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.fjhx.entity.rfid.business;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 工艺产线路线表实体类
 *
 * @author BladeX
 * @since 2022-08-17
 */
@Data
@TableName("t_sd_production_line_route")
public class ProductionLineRoute{

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private String id;
	/**
	 * 工艺产线ID
	 */
	private String productionLineId;
	/**
	 * 工艺表ID
	 */
	private String workmanshipId;
	/**
	 * 设备表ID
	 */
	private String deviceManagementId;

	/**
	 * rfidIp
	 */
	private String rfidIp;

	/**
	 * rfid通道
	 */
	private String rfidPassageway;

	/**
	 * 排序
	 */
	private Integer sort;

}
