/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.fjhx.entity.rfid.business;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.entity.rfid.base.BasicsEntity;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 生产任务表实体类
 *
 * @author BladeX
 * @since 2022-08-19
 */
@Data
@TableName("t_pro_task")
public class Task extends BasicsEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 订单ID
	*/
	private String contractId;

	/**
	 * 产品ID
	 */
	private String productId;

	/**
	 * 产品规格ID
	 */
	private String productColorId;

	/**
	* 工艺线路ID
	*/
	private String processLineId;
	/**
	* 生产状态 0：待投产  10：生产中 20：待发货 30：已发货  40：订单结束
	*/
	private Integer status;
	/**
	* 真实投产时间
	*/
	private Date putTime;
	/**
	* 计划投产时间
	*/
	private Date planTime;
	/**
	 * 计划投产结束时间
	 */
	private Date planEndTime;
	/**
	* 完成时间
	*/
	private String completTime;
	/**
	* 生产用时（秒）
	*/
	private Integer elapsedTime;
	/**
	* 完成数量
	*/
	private Integer completNum;

	/**
	 * 完成数量
	 */
	private BigDecimal quantity;

	/**
	* 描述
	*/
	private String remark;
	/**
	* 是否结束
	*/
	private Integer isEnd;
}
