/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.fjhx.entity.rfid.business;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.entity.rfid.base.BasicsEntity;
import lombok.Data;

/**
 * 任务工序进度表实体类
 *
 * @author BladeX
 * @since 2022-08-19
 */
@Data
@TableName("t_pro_task_step")
public class TaskStep extends BasicsEntity {

	private static final long serialVersionUID = 1L;


	/**
	* 任务ID
	*/
	private String taskId;
	/**
	* 工序ID
	*/
	private String workmanshipId;
	/**
	* 状态 0:正常  1删除
	*/
	private Integer status;
	/**
	* 完成数量
	*/
	private Integer completNum;
	/**
	* 描述
	*/
	private String remark;

}
