/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.fjhx.entity.rfid.business;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 生产任务工单表实体类
 *
 * @author BladeX
 * @since 2022-08-19
 */
@Data
@TableName("t_pro_work")
public class Work {

    private static final long serialVersionUID = 1L;


    private String id;
    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 工艺线路ID
     */
    private String processLineId;

    /**
     * 合同ID
     */
    private String contractId;

    /**
     * 工单号
     */
    private String code;

    /**
     * 产品规格ID
     */
    private String productColorId;
    /**
     * 真实投产时间
     */
    private String putTime;
    /**
     * 完成时间
     */
    private String completTime;
    /**
     * 生产用时（秒）
     */
    private Integer elapsedTime;
    /**
     * rfid
     */
    private String rfid;
    /**
     * 描述
     */
    private String remark;
    /**
     * 生产状态 0：待生产  10：生产中 30：已完成
     */
    private Integer status;

    /**
     * 唯一标识
     */
    private String uuid;

    /**
     * 通道
     */
    private String antnos;
    /**
     * bom规格ID
     */
    @TableField(exist = false)
    private String bomColorId;
}
