package com.fjhx.redis.redisson.properties;

import com.fjhx.redis.redisson.enums.RedisConnectionType;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * Redisson配置映射类
 */
@Configuration
public class RedissonProperties {

    //连接地址
    @Value("${redisson.address}")
    private String address;

    //连接类型
    @Value("${redisson.type}")
    private RedisConnectionType type;

    /**
     * 密码
     */
    @Value("${redisson.password}")
    private String password;

    //数据库(默认0)
    @Value("${redisson.database}")
    private Integer database;

    //是否装配redisson配置
    private Boolean enabled = true;

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public RedisConnectionType getType() {
        return type;
    }

    public void setType(RedisConnectionType type) {
        this.type = type;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getDatabase() {
        return database;
    }

    public void setDatabase(Integer database) {
        this.database = database;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

}
