package com.fjhx.rfid.r2000.controller;

import com.fjhx.entity.rfid.RFIDClient;
import com.fjhx.rfid.r2000.tcp.service.TcpService;
import com.fjhx.utils.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * rfid读写器tcp协议 控制器
 */
@RestController
@RequestMapping("/rfid/tcp/client")
public class TcpController {

    @Autowired
    private TcpService tcpService;

    /**
     * 启动单台
     *
     * @param client
     * @return
     */
    @PostMapping("/start/one")
    public AjaxResult startOne(@RequestBody RFIDClient client) {
        return tcpService.startOne(client);
    }

    /**
     * 关闭单台
     *
     * @param client
     * @return
     */
    @PostMapping("/close/one")
    public AjaxResult closeOne(@RequestBody RFIDClient client) {
        return tcpService.closeOne(client);
    }

    /**
     * 启动多台
     *
     * @param client
     * @return
     */
    @PostMapping("/open/more")
    public AjaxResult openMore(@RequestBody RFIDClient client) {
        return tcpService.openMore(client);
    }
}
