package com.fjhx.rfid.r2000.controller;

import com.fjhx.entity.rfid.RFIDClient;
import com.fjhx.rfid.r2000.udp.service.UdpService;
import com.fjhx.utils.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @ClassName: UdpController
 * @Author: linqt
 * @Date: 2022/3/8 16:48
 * @Version: 1.0
 */
@RestController
@RequestMapping("/rfid/udp/client")
public class UdpController {

    @Autowired
    private UdpService udpService;

    /**
     * 启动单台
     *
     * @param client
     * @return
     */
    @PostMapping("/start/one")
    public AjaxResult startOne(@RequestBody RFIDClient client) {
        return udpService.startOne(client);
    }

    /**
     * 关闭单台
     *
     * @param client
     * @return
     */
    @PostMapping("/close/one")
    public AjaxResult closeOne(@RequestBody RFIDClient client) {
        return udpService.closeOne(client);
    }


    /**
     * 启动多台
     *
     * @param client
     * @return
     */
    @PostMapping("/open/more")
    public AjaxResult openMore(@RequestBody RFIDClient client) {
        return udpService.openMore(client);
    }
}
