package com.fjhx.rfid.r2000.tcp.service;

import com.fjhx.entity.rfid.RFIDClient;
import com.fjhx.utils.AjaxResult;

import java.util.List;

/**
 * @Description:
 * @ClassName: TcpService
 * @Author: linqt
 * @Date: 2022/3/17 10:31
 * @Version: 1.0
 */
public interface TcpServiceV2 {

    /**
     * 启动并返回所有数据
     *
     * @param ips     读写器ip集合
     * @param busUuid 业务唯一标识
     * @param userId  业务服务端用户userId
     * @return
     */
    AjaxResult openAndReturnAllData(List<String> ips, String busUuid, String userId);

    /**
     * 启动并返回去重数据
     *
     * @param ips     读写器ip集合
     * @param busUuid 业务唯一标识
     * @param userId  业务服务端用户userId
     * @return
     */
    AjaxResult openAndReturnGoHeavyData(List<String> ips, String busUuid, String userId);

    /**
     * 关闭多台
     *
     * @param client
     * @return
     */
    AjaxResult closeMore(RFIDClient client);
}
